diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
index 0d5bf9d..09be6f3 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-RU.rdf
@@ -2147,28 +2147,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Samarskaya oblast'
+    // Leningradskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;SamarskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;LeningradskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Samarskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Samarskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Leningradskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Leningradskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Samarskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Samarskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Leningradskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Leningradskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-SAM">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-LEN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Samarskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-SAM</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-SAM</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;SamarskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;SamarskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Leningradskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-LEN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-LEN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;LeningradskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;LeningradskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2178,28 +2178,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tambovskaya oblast'
+    // Novosibirskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TambovskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;NovosibirskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tambovskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Tambovskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Novosibirskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Novosibirskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tambovskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tambovskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Novosibirskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Novosibirskaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TAM">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-NVS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Tambovskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-TAM</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TAM</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TambovskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TambovskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Novosibirskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-NVS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-NVS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;NovosibirskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;NovosibirskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2209,28 +2209,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Jaroslavskaja oblast'
+    // Permskiy kray
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;JaroslavskajaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;PermskiyKray">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Jaroslavskaja oblast'</rdfs:label>
-      <skos:definition>The administrative region of Jaroslavskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Permskiy kray</rdfs:label>
+      <skos:definition>The administrative territory of Permskiy kray in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Jaroslavskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Yaroslavskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Permskiy kray</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Permskij kraj</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-YAR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-PER">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Jaroslavskaja oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-YAR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-YAR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;JaroslavskajaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;JaroslavskajaOblast"/>
+      <skos:definition>subdivision code for the administrative territory of Permskiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-PER</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-PER</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;PermskiyKray"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;PermskiyKray"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2240,28 +2240,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Zabaykal'skiy kray
+    // Tverskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;ZabaykalskiyKray">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;TverskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Zabaykal'skiy kray</rdfs:label>
-      <skos:definition>The administrative territory of Zabaykal'skiy kray in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Tverskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Tverskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Zabaykal'skiy kray</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Zabajkal'skij kraj</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeTerritory"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tverskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tverskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ZAB">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TVE">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative territory of Zabaykal'skiy kray in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-ZAB</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ZAB</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;ZabaykalskiyKray"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;ZabaykalskiyKray"/>
+      <skos:definition>subdivision code for the administrative region of Tverskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-TVE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TVE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;TverskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;TverskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2271,28 +2271,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Amurskaya oblast'
+    // Volgogradskaja oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;AmurskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;VolgogradskajaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Amurskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Amurskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Volgogradskaja oblast'</rdfs:label>
+      <skos:definition>The administrative region of Volgogradskaja oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Amurskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Amurskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Volgogradskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Volgogradskaya oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-AMU">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-VGG">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Amurskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-AMU</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-AMU</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;AmurskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;AmurskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Volgogradskaja oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-VGG</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-VGG</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;VolgogradskajaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;VolgogradskajaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2302,28 +2302,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kalmykija, Respublika
+    // Altaj, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Kalmykija">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Altaj">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kalmykija, Respublika</rdfs:label>
-      <skos:definition>The republic of Kalmykija, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Altaj, Respublika</rdfs:label>
+      <skos:definition>The republic of Altaj, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kalmykija, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kalmykiya, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Altaj, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Altay, Respublika</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KL">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-AL">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Kalmykija, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KL</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KL</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Kalmykija"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Kalmykija"/>
+      <skos:definition>subdivision code for the republic of Altaj, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-AL</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-AL</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Altaj"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Altaj"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2333,28 +2333,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Kostromskaya oblast'
+    // Arkhangel'skaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KostromskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;ArkhangelskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Kostromskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Kostromskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Arkhangel'skaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Arkhangel'skaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kostromskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kostromskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Arkhangel'skaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Arhangel'skaja oblast'</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KOS">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-ARK">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Kostromskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-KOS</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KOS</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KostromskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KostromskayaOblast"/>
+      <skos:definition>subdivision code for the administrative region of Arkhangel'skaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-ARK</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-ARK</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;ArkhangelskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;ArkhangelskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2364,28 +2364,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Murmanskaya oblast'
+    // Čečenskaja Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;MurmanskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;CecenskajaRespublika">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Murmanskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Murmanskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Čečenskaja Respublika</rdfs:label>
+      <skos:definition>The republic of Čečenskaja Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Murmanskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Murmanskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Čečenskaja Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Chechenskaya Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-MUR">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-CE">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Murmanskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-MUR</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-MUR</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;MurmanskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;MurmanskayaOblast"/>
+      <skos:definition>subdivision code for the republic of Čečenskaja Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-CE</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-CE</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;CecenskajaRespublika"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;CecenskajaRespublika"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2395,28 +2395,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Omskaya oblast'
+    // Kabardino-Balkarskaya Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;OmskayaOblast">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Kabardino-BalkarskayaRespublika">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Omskaya oblast'</rdfs:label>
-      <skos:definition>The administrative region of Omskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kabardino-Balkarskaya Respublika</rdfs:label>
+      <skos:definition>The republic of Kabardino-Balkarskaya Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Omskaya oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Omskaja oblast'</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kabardino-Balkarskaya Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kabardino-Balkarskaja Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-OMS">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KB">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the administrative region of Omskaya oblast' in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-OMS</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-OMS</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;OmskayaOblast"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;OmskayaOblast"/>
+      <skos:definition>subdivision code for the republic of Kabardino-Balkarskaya Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KB</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KB</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Kabardino-BalkarskayaRespublika"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Kabardino-BalkarskayaRespublika"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2426,28 +2426,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tyva, Respublika
+    // Kaliningradskaya oblast'
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Tyva">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;KaliningradskayaOblast">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tyva, Respublika</rdfs:label>
-      <skos:definition>The republic of Tyva, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Kaliningradskaya oblast'</rdfs:label>
+      <skos:definition>The administrative region of Kaliningradskaya oblast' in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tyva, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Tyva, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kaliningradskaya oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Kaliningradskaja oblast'</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;AdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-TY">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KGD">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Tyva, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-TY</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-TY</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Tyva"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Tyva"/>
+      <skos:definition>subdivision code for the administrative region of Kaliningradskaya oblast' in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KGD</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KGD</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;KaliningradskayaOblast"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;KaliningradskayaOblast"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
@@ -2457,28 +2457,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Adygeya, Respublika
+    // Komi, Respublika
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Adygeya">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;Komi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Adygeya, Respublika</rdfs:label>
-      <skos:definition>The republic of Adygeya, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>Komi, Respublika</rdfs:label>
+      <skos:definition>The republic of Komi, Respublika in the country of Russian Federation (the)</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;RussianFederation"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Adygeya, Respublika</lcc-cr:hasLocalShortName>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Adygeja, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Komi, Respublika</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="ru">Komi, Respublika</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-ru;Republic"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-AD">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-ru;RU-KO">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the republic of Adygeya, Respublika in the country of Russian Federation (the)</skos:definition>
-      <rdfs:label>RU-AD</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-AD</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Adygeya"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Adygeya"/>
+      <skos:definition>subdivision code for the republic of Komi, Respublika in the country of Russian Federation (the)</skos:definition>
+      <rdfs:label>RU-KO</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">RU-KO</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-ru;Komi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-ru;Komi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-ru;"/>
    </owl:NamedIndividual>
